c     user amplitude subroutine
      Subroutine vuamp(
C          passed in for information and state variables
     *     ampName, time, ampValueOld, dt, nprops, props, nSvars, svars, 
     *     lFlagsInfo, nSensor, sensorValues, sensorNames, 
     *     jSensorLookUpTable, 
C          to be defined
     *     ampValueNew, 
     *     lFlagsDefine,
     *     AmpDerivative, AmpSecDerivative, AmpIncIntegral)
      
      include 'vaba_param.inc'

C     svars - additional state variables, similar to (V)UEL
      dimension sensorValues(nSensor), svars(nSvars)
      dimension props(nprops)
      character*80 sensorNames(nSensor)
      character*80 ampName
c reason in vektor definition
      integer reason,i,J
      real array(2,2)
      LOGICAL, SAVE :: notFirstTime
      logical OK
      character direction
      character node

      parameter(zero=0.e0, one = 1.e0, two = 2.e0, ome5=1.e-5,
     *     half = 0.5d0)
      double precision oned, zerod, twod, tim, tStart, tEnd, S
c      double precision ampValueNew, ampDerivative, ampSecDerivative
      

C     time indices
      parameter (iStepTime        = 1,
     *           iTotalTime       = 2,
     *           nTime            = 2)
C     flags passed in for information
      parameter (iInitialization   = 1,
     *           iRegularInc       = 2,
     *           nFlagsInfo        = 2)
C     optional flags to be defined
      parameter (iComputeDeriv     = 1,
     *           iComputeSecDeriv  = 2,
     *           iComputeInteg     = 3,
     *           iStopAnalysis     = 4,
     *           nFlagsDefine      = 4)
      dimension time(nTime), lFlagsInfo(nFlagsInfo),
     *          lFlagsDefine(nFlagsDefine)
      dimension jSensorLookUpTable(*)

C     User code to compute  ampValueNew
      zerod = dble(zero)
      oned  = dble(one)
      twod  = dble(two)
c
      IF (lFlagsInfo(iInitialization).eq.1) THEN
        AmpValueNew=0.0
        WRITE (6, *) "***********initialization****************"
      ELSE IF (lFlagsInfo(iRegularInc).eq.1) THEN
        INQUIRE(FILE='D:/Dokumenti/Abaqus-coupling/VUAMP/unreaded.txt'
     +,EXIST=OK)
        IF (OK) THEN
          WRITE (6, *) "***********reading****************"
c   Reading Array from file
          OPEN(UNIT=101,FILE='D:/Dokumenti/Abaqus-coupling/VU
     1AMP/amplitude.txt')
          DO
            READ(101,*, iostat=reason) svars
              IF (reason /= 0) exit
          END DO
          CLOSE(101)
          OPEN(UNIT=105,FILE='D:/Dokumenti/Abaqus-coupling/VU
     1AMP/unreaded.txt')
          CLOSE(105,STATUS='DELETE')
        ELSE
          WRITE (6, *) "***********no file*************"
        END IF
c   Loop for nodes (format==>!!!!?!)
        DO 30 i=0,1
c   Loop for x,y,z directions (format==>'(I1)')
          DO 20 j=1,2
c   Integer to character
            WRITE(node,'(I1)') i+1
            WRITE(direction,'(I1)') j
c   Value definition
              IF (ampName(1:7) .eq. 'N000'//node//'_'//direction) THEN
                AmpValueNew=svars(i+j)
                  WRITE (6, *) ampName
                  WRITE (6, *) AmpValueNew
c   Time step definition
              tim = dble(time(iStepTime))
              tStart = dble(tim) - dble(dt)
              tEnd   = tim 
              END IF
20        CONTINUE 
c
30      CONTINUE
c
      END IF
      return
      end
